    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class org.jdom.adapters.AbstractDOMAdapter

    java.lang.Object
       |
       +----org.jdom.adapters.AbstractDOMAdapter

public abstract class AbstractDOMAdapter
extends Object
implements DOMAdapter

`AbstractDOMAdapter`

This class defines wrapper behavior for obtaining a DOM `Document` object from a DOM parser.

Version:
  $Revision: 1.13 $, $Date: 2002/02/14 09:16:38 $
Author:
  Brett McLaughlin, Jason Hunter

##

AbstractDOMAdapter()

##

createDocument()

  This creates an empty `Document` object based on a specific parser implementation.

createDocument(DocType)

  This creates an empty `Document` object based on a specific parser implementation with the given DOCTYPE.

getDocument(File, boolean)

  This creates a new `{`

getDocument(InputStream, boolean)

  This creates a new `{`

setInternalSubset(DocumentType, String)

  This attempts to change the DocumentType to have the given internal DTD subset value.

##

AbstractDOMAdapter

     public AbstractDOMAdapter()

##

getDocument

     public Document getDocument(File filename,
                                 boolean validate) throws Exception

  This creates a new `{@link Document}` from an existing `InputStream` by letting a DOM parser handle parsing using the supplied stream.

  Parameters:
    filename - file to parse.
    validate - `boolean` to indicate if validation should occur.
  Returns:
    `Document` - instance ready for use.
  Throws: Exception
    when errors occur in parsing.

getDocument

     public abstract Document getDocument(InputStream in,
                                          boolean validate) throws Exception

  This creates a new `{@link Document}` from an existing `InputStream` by letting a DOM parser handle parsing using the supplied stream.

  Parameters:
    in - `InputStream` to parse.
    validate - `boolean` to indicate if validation should occur.
  Returns:
    `Document` - instance ready for use.
  Throws: Exception
    when errors occur in parsing.

createDocument

     public abstract Document createDocument() throws Exception

  This creates an empty `Document` object based on a specific parser implementation.

  Returns:
    `Document` - created DOM Document.
  Throws: Exception
    when errors occur.

createDocument

     public Document createDocument(DocType doctype) throws Exception

  This creates an empty `Document` object based on a specific parser implementation with the given DOCTYPE. If the doctype parameter is null, the behavior is the same as calling `createDocument()`.

  Parameters:
    doctype - Initial `DocType` of the document.
  Returns:
    `Document` - created DOM Document.
  Throws: Exception
    when errors occur.

setInternalSubset

     protected void setInternalSubset(DocumentType dt,
                                      String s)

  This attempts to change the DocumentType to have the given internal DTD subset value. This is not a standard ability in DOM, so it's only available with some parsers. Subclasses can alter the mechanism by which the attempt is made to set the value.

  Parameters:
    dt - DocumentType to be altered
    s - String to use as the internal DTD subset

    All Packages  Class Hierarchy  This Package  Previous  Next  Index